=== debian/changelog ===
fatrat (1.1.1-5) unstable; urgency=low

  * debian/control: fix fatrat-dev package description.
    (Closes: #560374)

 -- Cristian Greco <cristian@regolo.cc>  Thu, 10 Dec 2009 20:27:51 +0100

fatrat (1.1.1-4) unstable; urgency=low

  * debian/patches/02_fix_ftbfs_freebsd.patch: new, fix FTBFS on
    kFreeBSD.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 25 Nov 2009 15:48:39 +0100

fatrat (1.1.1-3) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * 01_fix_sigaction.patch: new patch, fix FTBFS on most arches.
  * debian/changelog: mark 1.1.1-2 as unreleased.
  * debian/control: fatrat package depends on libqt4-sql-sqlite.
    Closes: #557423

 -- Cristian Greco <cristian@regolo.cc>  Sun, 22 Nov 2009 14:14:36 +0100

fatrat (1.1.1-2) UNRELEASED; urgency=low

  * debian/control:
    - fix packages description a bit.
    - change (build-)dep from libcurl4-openssl-dev to libcurl4-gnutls-dev.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 18 Nov 2009 18:35:03 +0100

fatrat (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #495648).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 16 Nov 2009 00:30:34 +0100
