## fatrat 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,11 @@
 
 INCLUDE(CheckFunctionExists)
 INCLUDE(CheckIncludeFiles)
+INCLUDE(FindPkgConfig)
+INCLUDE(FindBoost)
 
 find_package(Qt4 REQUIRED)
 
-set(CMAKE_MODULE_PATH cmake_modules)
 include_directories(src)
 
 ADD_CUSTOM_TARGET(uninstall
@@ -27,15 +28,25 @@
 endif(WITH_EVERYTHING)
 
 if(WITH_BITTORRENT)
-	set(libtorrent_DIR ${CMAKE_MODULE_PATH})
-	find_package(libtorrent REQUIRED)
-	
-	if(LIBTORRENTRB_FOUND)
-		message(STATUS "libtorrent found OK ${LIBTORRENTRB_LIBRARY}")
-		include_directories(${LIBTORRENTRB_INCLUDE_DIRS})
-	else(LIBTORRENTRB_FOUND)
+	pkg_check_modules(libtorrent REQUIRED "libtorrent-rasterbar >= 0.14.6")
+	
+	if(libtorrent_FOUND)
+		message(STATUS "libtorrent found OK")
+		include_directories(${libtorrent_INCLUDE_DIRS})
+	else(libtorrent_FOUND)
 		message(FATAL_ERROR "No Rasterbar libtorrent")
-	endif(LIBTORRENTRB_FOUND)
+	endif(libtorrent_FOUND)
+	
+	SET(Boost_USE_MULTITHREAD ON)
+	SET(Boost_USE_STATIC_LIBS OFF)
+	find_package(Boost 1.33.0 COMPONENTS date_time REQUIRED)
+	
+	if(Boost_FOUND)
+		message(STATUS "boost-datetime found OK")
+		include_directories(${Boost_INCLUDE_DIRS})
+	else(Boost_FOUND)
+		message(FATAL_ERROR "No boost-datetime")
+	endif(Boost_FOUND)
 	
 	#set(asio_DIR ${CMAKE_MODULE_PATH})
 	#find_package(asio REQUIRED)
@@ -51,25 +62,30 @@
 endif(WITH_BITTORRENT)
 
 if(WITH_JABBER)
-	set(gloox_DIR ${CMAKE_MODULE_PATH})
-	find_package(gloox REQUIRED)
-	
-	if(GLOOX_FOUND)
-		message(STATUS "gloox found OK")
-		include_directories(${GLOOX_INCLUDE_DIRS})
-	else(GLOOX_FOUND)
+	pkg_check_modules(gloox REQUIRED "gloox >= 0.9.0.0")
+	
+	if(gloox_FOUND)
+		message(STATUS "gloox ${gloox_VERSION} found OK")
+		include_directories(${gloox_INCLUDE_DIRS})
+		
+		if(gloox_VERSION LESS 1.0)
+			set(GLOOX_0_9 TRUE)
+		else(gloox_VERSION LESS 1.0)
+			set(GLOOX_1_0 TRUE)
+		endif(gloox_VERSION LESS 1.0)
+	else(gloox_FOUND)
 		message(FATAL_ERROR "No gloox")
-	endif(GLOOX_FOUND)
+	endif(gloox_FOUND)
 endif(WITH_JABBER)
 
 if(WITH_CURL)
-	find_package(CURL 7.18.3 REQUIRED)
-	
-	if(CURL_FOUND)
-		include_directories(${CURL_INCLUDE_DIRS})
-	else(CURL_FOUND)
+	pkg_check_modules(curl REQUIRED "libcurl >= 7.18.2")
+	
+	if(curl_FOUND)
+		include_directories(${curl_INCLUDE_DIRS})
+	else(curl_FOUND)
 		message(FATAR_ERROR "No curl")
-	endif(CURL_FOUND)
+	endif(curl_FOUND)
 endif(WITH_CURL)
 
 if(CMAKE_BUILD_TYPE MATCHES Debug)
@@ -389,12 +405,12 @@
 qt4_wrap_ui(fatrat_UIS_H ${fatrat_UIS})
 qt4_add_resources(fatrat_QRC_H gfx/resources.qrc)
 qt4_add_translation(lrelease_outputs locale/fatrat_cs_CZ.ts
-locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts)
+locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts locale/fatrat_ru_RU.ts locale/fatrat_fr_FR.ts)
 
 add_executable(fatrat ${fatrat_SRCS} ${fatrat_MOC_SRCS} ${fatrat_UIS_H}
 ${fatrat_QRC_H} ${lrelease_outputs})
 
-target_link_libraries(fatrat ${QT_LIBRARIES} ${LIBTORRENTRB_LIBRARIES} ${GLOOX_LIBRARIES} ${CURL_LIBRARIES} ${QT_ADDITIONAL_LIBS} -export-dynamic)
+target_link_libraries(fatrat ${QT_LIBRARIES} ${libtorrent_LDFLAGS} ${gloox_LDFLAGS} ${curl_LDFLAGS} ${Boost_LIBRARIES} ${QT_ADDITIONAL_LIBS} -export-dynamic)
 
 set(fatrat_DEV_HEADERS
 	${CMAKE_CURRENT_SOURCE_DIR}/src/fatrat.h
@@ -451,14 +467,3 @@
 
 if(WITH_WEBINTERFACE)
 	FILE( GLOB rm_pngs ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.png )
-	install(FILES ${rm_pngs} DESTINATION share/fatrat/data/remote)
-	
-	FILE( GLOB rm_qsps ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.qsp )
-	install(FILES ${rm_qsps} DESTINATION share/fatrat/data/remote)
-	
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/index.js DESTINATION share/fatrat/data/remote)
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/style.css DESTINATION share/fatrat/data/remote)
-	
-	FILE( GLOB rm_move ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/move/*.png )
-	install(FILES ${rm_move} DESTINATION share/fatrat/data/remote/move)
-
