=== debian/changelog ===
fatrat (1.1.2-2) unstable; urgency=low

  * debian/patches: add the following patches, cherry-picked from upstream:
    - 01_rss_fetcher_fix.patch, fix a bug in RSS fetcher.
    - 02_trim_rscom_folder_urls.patch, trim RS.com folder URLs.
    - 03_fix_dht_crash.patch, fix a crash for DHT fetched torrents.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 13:49:38 +0200

fatrat (1.1.2-1) unstable; urgency=low

  * New upstream version.
    - Support building against gloox 1.x (Closes: #569390).
  * debian/copyright: updated with information about french translation.
  * debian/control: bump up standards-version to 3.8.4 (no changes).
  * debian/patches: drop all patches, merged upstream
    (01_fix_sigaction.patch, 02_fix_ftbfs_freebsd.patch).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 12 Feb 2010 17:59:55 +0100
