=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends: debhelper (>= 7.3.7),
                cmake (>= 2.6.0),
                libtorrent-rasterbar-dev (>= 0.14.6),
+               libboost-date-time-dev,
                libqt4-dev (>= 4.4.0),
                qt4-dev-tools (>= 4.4.0),
                libgloox-dev (>= 0.9),
                libcurl4-gnutls-dev | libcurl-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
 Homepage: http://fatrat.dolezel.info
