=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_EVERYTHING=ON -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed"

override_dh_auto_clean:
	rm -f doc/fatrat.qch doc/fatrat.qhc
	dh_auto_clean
