## fatrat 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,15 +31,19 @@
 	pkg_check_modules(libtorrent REQUIRED "libtorrent-rasterbar >= 0.14.6")
 	
 	if(libtorrent_FOUND)
-		message(STATUS "libtorrent found OK")
+		message(STATUS "libtorrent ${libtorrent_VERSION} found OK")
 		include_directories(${libtorrent_INCLUDE_DIRS})
+		
+		if(libtorrent_VERSION GREATER 0.14.99)
+			set(LIBTORRENT_0_15 TRUE)
+		endif(libtorrent_VERSION GREATER 0.14.99)
 	else(libtorrent_FOUND)
 		message(FATAL_ERROR "No Rasterbar libtorrent")
 	endif(libtorrent_FOUND)
 	
 	SET(Boost_USE_MULTITHREAD ON)
 	SET(Boost_USE_STATIC_LIBS OFF)
-	find_package(Boost 1.33.0 COMPONENTS date_time REQUIRED)
+	find_package(Boost COMPONENTS date_time REQUIRED)
 	
 	if(Boost_FOUND)
 		message(STATUS "boost-datetime found OK")
@@ -124,6 +128,7 @@
 	src/Auth.cpp
 	src/AboutDlg.cpp
 	src/AppTools.cpp
+	src/DelayedIcon.cpp
 	src/DropBox.cpp
 	src/fatrat.cpp
 	src/Proxy.cpp
@@ -154,6 +159,10 @@
 	src/ReportBugDlg.cpp
 	src/Settings.cpp
 	src/QueueDlg.cpp
+	src/ClipboardMonitor.cpp
+	src/SettingsClipboardMonitorForm.cpp
+	src/filterlineedit.cpp
+	src/fancylineedit.cpp
 	src/engines/OutputBuffer.cpp
 	src/poller/Poller.cpp
 	
@@ -216,6 +225,10 @@
 	src/Logger.h
 	src/MyApplication.h
 	src/ReportBugDlg.h
+	src/ClipboardMonitor.h
+	src/SettingsClipboardMonitorForm.h
+	src/filterlineedit.h
+	src/fancylineedit.h
 	src/engines/OutputBuffer.h
 	
 	src/tools/HashDlg.h
@@ -248,6 +261,7 @@
 	src/SettingsNetworkForm.ui
 	src/SettingsQueueForm.ui
 	src/SettingsSchedulerForm.ui
+	src/SettingsClipboardMonitorForm.ui
 	src/ScheduledActionDlg.ui
 	src/SpeedLimitWidget.ui
 	src/UserAuthDlg.ui
@@ -405,7 +419,8 @@
 qt4_wrap_ui(fatrat_UIS_H ${fatrat_UIS})
 qt4_add_resources(fatrat_QRC_H gfx/resources.qrc)
 qt4_add_translation(lrelease_outputs locale/fatrat_cs_CZ.ts
-locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts locale/fatrat_ru_RU.ts locale/fatrat_fr_FR.ts)
+locale/fatrat_pl_PL.ts locale/fatrat_tr_TR.ts locale/fatrat_sk_SK.ts locale/fatrat_ru_RU.ts locale/fatrat_fr_FR.ts
+locale/fatrat_uk_UA.ts)
 
 add_executable(fatrat ${fatrat_SRCS} ${fatrat_MOC_SRCS} ${fatrat_UIS_H}
 ${fatrat_QRC_H} ${lrelease_outputs})
@@ -414,6 +429,7 @@
 
 set(fatrat_DEV_HEADERS
 	${CMAKE_CURRENT_SOURCE_DIR}/src/fatrat.h
+	${CMAKE_CURRENT_SOURCE_DIR}/src/DelayedIcon.h
 	${CMAKE_CURRENT_SOURCE_DIR}/src/AppTools.h
 	${CMAKE_CURRENT_SOURCE_DIR}/src/Transfer.h
 	${CMAKE_CURRENT_SOURCE_DIR}/src/WidgetHostChild.h
@@ -454,16 +470,3 @@
 
 install(FILES ${fatrat_DEV_HEADERS} DESTINATION include/fatrat)
 install(FILES ${fatrat_DEV_HEADERS_ENGINES} DESTINATION include/fatrat/engines)
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/src/poller/Poller.h DESTINATION include/fatrat/poller)
-
-if(WITH_NLS)
-	install(FILES ${lrelease_outputs} DESTINATION share/fatrat/lang)
-endif(WITH_NLS)
-
-if(WITH_BITTORRENT)
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/btsearch.xml DESTINATION share/fatrat/data)
-	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/btlinks.txt DESTINATION share/fatrat/data)
-endif(WITH_BITTORRENT)
-
-if(WITH_WEBINTERFACE)
-	FILE( GLOB rm_pngs ${CMAKE_CURRENT_SOURCE_DIR}/data/remote/*.png )
