=== debian/changelog ===
fatrat (1.1.3-5) unstable; urgency=low

  * fix_ftbfs_gcc47.patch: fix ftbfs also on kfreebsd. Thanks to
    Steven Chamberlain <steven@pyro.eu.org>. (Closes: 672743)

 -- Cristian Greco <cristian@debian.org>  Sat, 19 May 2012 23:22:28 +0200

fatrat (1.1.3-4) unstable; urgency=low

  * fix_ftbfs_gcc47.patch: new patch, add missing includes to fix ftbfs.
    Thanks to Sebastian Ramacher <s.ramacher@gmx.at>. (Closes: #672031)
  * debian/rules: enable hardened build flags. (Closes: #671577)

 -- Cristian Greco <cristian@debian.org>  Sun, 13 May 2012 10:48:43 +0200

fatrat (1.1.3-3) unstable; urgency=low

  * fix_ftbfs_gold_linker.patch: update patch to also explicitly link
    against boost.filesystem library. (Closes: #642822)
  * debian/control: 
    - use my @debian.org email address and drop DMUA field.
    - explicitly add build-dep on required boost libraries instead
      of relying on them being pulled in by libtorrent-rasterbar-dev.

 -- Cristian Greco <cristian@debian.org>  Sun, 25 Sep 2011 17:32:49 +0200

fatrat (1.1.3-2) unstable; urgency=low

  * debian/control:
    - add build-dep on libqtwebkit-dev.
    - bump up Standards-Version to 3.9.2.
  * debian/patches:
    - fix_ftbfs_gold_linker.patch: explicitly link against pthreads, dl
      and boost.system libraries to avoid FTBFS with the gold linker
      (Closes: #615711).
    - define_boost_fs_v2.patch: new patch, fix FTBFS with boost1.46
      (Closes: #625795).

 -- Cristian Greco <cristian@regolo.cc>  Tue, 24 May 2011 13:43:11 +0200

fatrat (1.1.3-1) unstable; urgency=low

  * New upstream version.
    - Fix download issue specific to some 32bit arches (Closes: #587681).
    - debian/patches: drop all patches previously cherry-picked upstream.
    - debian/copyright: update copyright information about some new files
      and translation.
  * debian/control: bump up Standards-Version to 3.9.1 (no changes).
  * debian/{control,rules}: bump debhelper build-dep to (>= 7.4.10) and
    pass  to dh in order to enable parallel build support.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 01 Oct 2010 20:54:47 +0200
