=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: fatrat
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
-Build-Depends: debhelper (>= 7.3.7),
+Maintainer: Cristian Greco <cristian@debian.org>
+Build-Depends: debhelper (>= 7.4.10),
+               dpkg-dev (>= 1.16.1),
                cmake (>= 2.6.0),
                libtorrent-rasterbar-dev (>= 0.14.6),
+               libboost-system-dev,
+               libboost-filesystem-dev,
                libboost-date-time-dev,
                libqt4-dev (>= 4.4.0),
+               libqtwebkit-dev,
                qt4-dev-tools (>= 4.4.0),
                libgloox-dev (>= 0.9),
                libcurl4-gnutls-dev | libcurl-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
 Homepage: http://fatrat.dolezel.info
-DM-Upload-Allowed: yes
 
 Package: fatrat
 Architecture: any
