=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

# cmake workarounds
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
DEB_CMAKE_EXE_LINKER_FLAGS=$(LDFLAGS)


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_EVERYTHING=ON -DCMAKE_EXE_LINKER_FLAGS="$(DEB_CMAKE_EXE_LINKER_FLAGS)"

override_dh_auto_clean:
	rm -f doc/fatrat.qch doc/fatrat.qhc
	dh_auto_clean
