=== debian/changelog ===
fatrat (1.2.0~beta2-0ubuntu8) trusty; urgency=medium

  * No-change rebuild for gloox transition (LP: #1273967).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2014 17:04:17 +0400

fatrat (1.2.0~beta2-0ubuntu7) trusty; urgency=low

  * No change rebuild against Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 27 Oct 2013 00:51:51 +0100

fatrat (1.2.0~beta2-0ubuntu6) saucy; urgency=low

  * Build-Depend on libboost-thread-dev to fix FTBFS.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 22:57:11 +1100

fatrat (1.2.0~beta2-0ubuntu5) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 09:46:28 +0100

fatrat (1.2.0~beta2-0ubuntu4) raring; urgency=low

  * No-change rebuild against libtorrent-rasterbar7.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 08 Feb 2013 10:32:57 -0500

fatrat (1.2.0~beta2-0ubuntu3) quantal; urgency=low

  * Install StaticTransferMessage.h, since CurlDownload.h includes it.
    Fixes fatrat-czshare build failure.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2012 12:14:05 +0100

fatrat (1.2.0~beta2-0ubuntu2) quantal; urgency=low

  * Build using javahelper and default-jdk.
   - Drop build depends on openjdk-6-*
   - Include java-vars.mk in debian/rules and no longer manually
     pass Java paths to configure.
  * debian/patches/find_correct_jvm.patch (LP: #1035965):
   - Patch findjvm.sh so that we find a usable jvm. The upstream script
     simply takes the first jvm found. On 12.10 with default-jre this is
     "cacao" which crashes fatrat on start up. Manual testing shows that
     only "server" seems to allow fatrat to work.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 14 Aug 2012 19:04:49 -0400

fatrat (1.2.0~beta2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Drop debian/patches/define_boost_fs_v2.patch,
    applied upstream.
  * Refresh debian/patches/fix_ftbfs_gold_linker.patch and
    debian/patches/fix_ftbfs_gcc47.patch.
  * debian/control: Build depend on libpion-net-dev,
    openjdk-6-jdk, and openjdk-6-dbg and Recommend default-jre
    in order to support new Java plugins.
  * debian/watch: Look for both tar.gz and tar.xz releases.
  * debian/rules: Pass Java paths to configure.
  * Work around issue with libpion-net-dev by build depending
    on libicu-dev, libboost-regex-dev, libboost-signals-dev,
    libboost-iostreams-dev, libbz2-dev, and liblog4cpp5-dev.
    See LP: #881632 and BTS #678433.
  * debian/patches/fix_ftbfs_find_config.h.patch:
   - Patch CMakeLists.txt in order to find and install config.h 
  * debian/patches/disable_tray_icon.patch:
   - Disable tray icon by default.  In Unity, with upstream defaults,
     when you close fatrat it is minimized to the tray. Mouse clicks
     on the tray in Unity only display the menu, which is empty, so
     fatrat can not be reopened or quit.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 11 Aug 2012 17:17:44 -0400
