=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fatrat
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends: debhelper (>= 7.4.10),
                dpkg-dev (>= 1.16.1),
                cmake (>= 2.6.0),
@@ -13,7 +14,17 @@
                libqtwebkit-dev,
                qt4-dev-tools (>= 4.4.0),
                libgloox-dev (>= 0.9),
-               libcurl4-gnutls-dev | libcurl-dev
+               libcurl4-gnutls-dev | libcurl-dev,
+               libpion-net-dev,
+               default-jdk,
+               javahelper,
+               libicu-dev,
+               libboost-regex-dev,
+               libboost-signals-dev,
+               libboost-iostreams-dev,
+               libboost-thread-dev,
+               libbz2-dev,
+               liblog4cpp5-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat.git
@@ -25,6 +36,7 @@
          fatrat-data (= ${source:Version}),
          libqt4-sql-sqlite,
          xdg-utils
+Recommends: default-jre
 Description: multi-protocol download manager, feature rich and extensible via plugin
  FatRat is a feature rich download manager written in C++ and built on top of
  Qt4 library. It supports a lot of download and file exchange protocols and is
